//+------------------------------------------------------------------+
//|                                                        TMGUI.mqh |
//|                             Thorsten Fischer Copyright 2019-2020 |
//|                                         https://mql5.tfsystem.de |
//+------------------------------------------------------------------+
#property copyright "Thorsten Fischer Copyright 2019-2020"
#property link      "https://mql5.tfsystem.de"
#property version   "1.00"
//---
#include "TMDialog.mqh"
#include "..\..\TF-Dateien\TF-Class\TFObject.mqh"
#include "..\..\TF-Dateien\TF-Class\TFTrade.mqh"

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
class CTMGUI : public CTFObject
{
private:
   CTMDialog   m_gui_dialog;
   CTFTrade    *m_trade;

public:
   CTMGUI();
   ~CTMGUI();
//---
   virtual  bool     Init(CTFTrade *aTrade=NULL);
   virtual  void     DeInitEvent(const int aReason=0);
   virtual  void     ChartEvent(const int id,const long &lparam,const double &dparam,const string &sparam);

};
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
CTMGUI::CTMGUI()  :  m_trade(NULL)
{
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
CTMGUI::~CTMGUI()
{
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
bool      CTMGUI::Init(CTFTrade *aTrade=NULL)
{
//---
   if(aTrade!=NULL)
      m_trade=aTrade;
   else
      return(false);
//---
   m_gui_dialog.Init(m_trade);
//---
   if(!m_gui_dialog.Create(0,"Trade Manager",0,0,10,220,330))
      return(false);
//--- run application
   m_gui_dialog.Run();
//---
   return(true);
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void  CTMGUI::DeInitEvent(const int aReason=0)
{
//---
   m_gui_dialog.Destroy(aReason);
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CTMGUI::ChartEvent(const int id,const long &lparam,const double &dparam,const string &sparam)
{
//---
   m_gui_dialog.ChartEvent(id,lparam,dparam,sparam);
}
//+------------------------------------------------------------------+
